package com.ruoyi.dimp.service;

import java.util.List;

import com.ruoyi.dimp.domain.DPatentAuthInfoPreDetail;
import com.ruoyi.dimp.domain.DPatentAuthInfoPreImp;
import com.ruoyi.dimp.domain.DPatentAuthInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 专利授权导入Service接口
 *
 * @author ruoyi
 * @date 2023-03-19
 */
public interface IDPatentAuthInfoService extends IService<DPatentAuthInfo> {
    /**
     * 查询专利授权导入列表
     *
     * @param dPatentAuthInfo 专利授权导入
     * @return 专利授权导入集合
     * @date 2023-03-19
     */
    List<DPatentAuthInfo> queryList(DPatentAuthInfo dPatentAuthInfo);
    
    String importData(List<DPatentAuthInfoPreDetail> dataList, DPatentAuthInfoPreImp imp);
    void deleteWidthImpBatch(String impBatch);
    void cleanData();
    void doRefreshHv();
    
    void reMatch3();
}
